#
# Conditional build:
%bcond_without	opengl		# OpenGL viewer
%bcond_without	libdeflate	# libdeflate for faster Deflate support
%bcond_with	jpeg12		# dual 8/12-bit libjpeg mode
#
Summary:	Library for handling TIFF files
Summary(de.UTF-8):	Library zum Verwalten von TIFF-Dateien
Summary(fr.UTF-8):	Bibliothèque de gestion des fichiers TIFF
Summary(pl.UTF-8):	Biblioteka do manipulacji plikami w formacie TIFF
Summary(tr.UTF-8):	TIFF dosyalarını işleme kitaplığı
Name:		libtiff
Version:	4.4.0
Release:	1%{?tld}
License:	BSD-like
Group:		Libraries
Source0:	http://download.osgeo.org/libtiff/tiff-%{version}.tar.xz
# Source0-md5:	47d72beb1171df09502e74566b4d1b43
Patch0:		%{name}-glut.patch
URL:		http://www.simplesystems.org/libtiff/
%{?with_opengl:BuildRequires:  OpenGL-glut-devel}
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	jbigkit-devel
BuildRequires:	lerc-devel
%{?with_libdeflate:BuildRequires:	libdeflate-devel}
BuildRequires:	libjpeg-devel
%{?with_jpeg12:BuildRequires:	libjpeg12-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libwebp-devel
BuildRequires:	rpm-build >= 4.6
BuildRequires:	tar >= 1:1.22
%{?with_opengl:BuildRequires:	xorg-lib-libX11-devel}
BuildRequires:	xz
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
BuildRequires:	zstd-devel >= 1.0.0
Requires:	zstd >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is a library of functions that manipulate TIFF images.

%description -l de.UTF-8
Eine Library von Funktionen zur Manipulation von TIFFs.

%description -l fr.UTF-8
Bibliothèque de fonctions pour manipuler des images TIFF.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę pozwalającą manipulować plikami w
formacie TIFF.

%description -l tr.UTF-8
Bu paket TIFF resimlerini işleyen fonksiyonlardan oluşan bir
kitaplıktır.

%package devel
Summary:	Header files for developing programs using libtiff
Summary(de.UTF-8):	Header zur Entwicklung von Programmen unter Verwendung von libtiff
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki libtiff
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	jbigkit-devel
Requires:	lerc-devel
%{?with_libdeflate:Requires:	libdeflate-devel}
Requires:	libjpeg-devel
%{?with_jpeg12:Requires:	libjpeg12-devel}
Requires:	libwebp-devel
Requires:	xz-devel
Requires:	zlib-devel
Requires:	zstd-devel >= 1.0.0

%description devel
This package is all you need to develop programs that manipulate tiff
images.

%description devel -l de.UTF-8
Dieses Paket enthält alles, was Sie zum Entwickeln von Programmen zum
Bearbeiten von tiff-Bildern benötigen.

%description devel -l fr.UTF-8
Ce package contient tout le nécessaire pour réaliser des programmes
manipulant des images au format tiff.

%description devel -l pl.UTF-8
Pakiet ten zawiera wszystko co potrzebujesz przy pisaniu programów
operujących na formacie tiff.

%description devel -l tr.UTF-8
tiff resimlerini işleyen programlar yazmak için gerekli dosyalar bu
pakette yer alır.

%package static
Summary:	Static version libtiff library
Summary(pl.UTF-8):	Biblioteka statyczna libtiff
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libtiff library.

%description static -l pl.UTF-8
Statyczna biblioteka libtiff.

%package cxx
Summary:	libtiff C++ streams library
Summary(pl.UTF-8):	Biblioteka strumieni C++ dla libtiff
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description cxx
libtiff C++ streams library.

%description cxx -l pl.UTF-8
Biblioteka strumieni C++ dla libtiff.

%package cxx-devel
Summary:	libtiff C++ streams API
Summary(pl.UTF-8):	API strumieni C++ dla libtiff
Group:		Development/Libraries
Requires:	%{name}-cxx = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description cxx-devel
libtiff C++ streams API.

%description cxx-devel -l pl.UTF-8
API strumieni C++ dla libtiff.

%package cxx-static
Summary:	libtiff C++ streams static library
Summary(pl.UTF-8):	Statyczna biblioteka strumieni C++ dla libtiff
Group:		Development/Libraries
Requires:	%{name}-cxx-devel = %{version}-%{release}

%description cxx-static
libtiff C++ streams static library.

%description cxx-static -l pl.UTF-8
Statyczna biblioteka strumieni C++ dla libtiff.

%package progs
Summary:	Simple clients for manipulating tiff images
Summary(de.UTF-8):	Einfachen Clients zur Manipulation von tiff
Summary(fr.UTF-8):	Clients simples pour manipuler de telles images
Summary(pl.UTF-8):	Kilka prostych programów do manipulowania na plikach tiff
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
Simple clients for manipulating tiff images.

%description progs -l de.UTF-8
Einfachen Clients zur Manipulation von tiff.

%description progs -l fr.UTF-8
Clients simples pour manipuler de telles images.

%description progs -l pl.UTF-8
Kilka prostych programów do manipulowania na plikach tiff.

%package progs-gl
Summary:	tiffgt - OpenGL-based tiff viewer
Summary(pl.UTF-8):	tiffgt - program do oglądania plików tiff oparty o OpenGL
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs-gl
tiffgt - OpenGL-based tiff viewer.

%description progs-gl -l pl.UTF-8
tiffgt - program do oglądania plików tiff oparty o OpenGL.

%package doc
Summary:	HTML documentation for tiff library and tools
Summary(pl.UTF-8):	Dokumentacja w formacie HTML do biblioteki i narzędzi tiff
Group:		Documentation
BuildArch:	noarch

%description doc
HTML documentation for tiff library and tools.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML do biblioteki i narzędzi tiff.

%prep
%setup -q -n tiff-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_jpeg12:--enable-jpeg12 --with-jpeg12-include-dir=%{_includedir}/libjpeg12 --with-jpeg12-lib=-ljpeg12} \
	%{!?with_libdeflate:--disable-libdeflate} \
	--with-docdir=%{_docdir}/tiff \
	%{!?with_opengl:--without-x}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# libtiff*.la kept - no .pc file for libtiffxx

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT ChangeLog README.md TODO
%attr(755,root,root) %{_libdir}/libtiff.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtiff.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtiff.so
%{_libdir}/libtiff.la
%{_includedir}/tiff*.h
%{_pkgconfigdir}/libtiff-4.pc
%{_mandir}/man3/TIFF*.3tiff*
%{_mandir}/man3/libtiff.3tiff*

%files static
%defattr(644,root,root,755)
%{_libdir}/libtiff.a

%files cxx
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtiffxx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtiffxx.so.5

%files cxx-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtiffxx.so
%{_libdir}/libtiffxx.la
%{_includedir}/tiffio.hxx

%files cxx-static
%defattr(644,root,root,755)
%{_libdir}/libtiffxx.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fax2ps
%attr(755,root,root) %{_bindir}/fax2tiff
%attr(755,root,root) %{_bindir}/pal2rgb
%attr(755,root,root) %{_bindir}/ppm2tiff
%attr(755,root,root) %{_bindir}/raw2tiff
%attr(755,root,root) %{_bindir}/tiff[!g]*
%{_mandir}/man1/fax2ps.1*
%{_mandir}/man1/fax2tiff.1*
%{_mandir}/man1/pal2rgb.1*
%{_mandir}/man1/ppm2tiff.1*
%{_mandir}/man1/raw2tiff.1*
%{_mandir}/man1/tiff[!g]*.1*

%if %{with opengl}
%files progs-gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tiffgt
%{_mandir}/man1/tiffgt.1*
%endif

%files doc
%defattr(644,root,root,755)
%{_docdir}/tiff
%changelog
* Wed Apr 03 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libtiff.git;a=log;h=master

* Wed Jul 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 7139ab7
- updated to 4.4.0

* Sun Apr 25 2021 Jakub Bogusz <qboosh@pld-linux.org> b940a00
- updated to 4.3.0, adds support for LERC compression

* Sun Mar 28 2021 Jakub Bogusz <qboosh@pld-linux.org> ee94dc1
- updated to 4.2.0
- build with libdeflate by default
- separated (noarch) -doc

* Tue Nov 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 870af19
- updated to 4.1.0

* Wed Nov 14 2018 Jakub Bogusz <qboosh@pld-linux.org> a662a45
- added dependencies to ensure webp and zstd support

* Sun Nov 11 2018 Adam Gołębiowski <adamg@pld-linux.org> 8c0eba6
- updated to 4.0.10

* Thu Aug 16 2018 Jan Rękorajski <baggins@pld-linux.org> ced3a35
- rebuild without libjpeg.la
- release 2 (by relup.sh)

* Sat Dec 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 53d34ff
- updated to 4.0.9 (fixes CVE-2014-8128 CVE-2015-7554 CVE-2016-5318 CVE-2016-10095)

* Fri May 26 2017 Jakub Bogusz <qboosh@pld-linux.org> bcb131f
- updated to 4.0.8

* Sun Feb 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 4bca854
- updated URL

* Sun Feb 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 61c4f21
- updated to 4.0.7, fixes:
  CVE-2014-8127 CVE-2015-8665 CVE-2015-8683 CVE-2016-3622 CVE-2016-3623
  CVE-2016-3658 CVE-2016-3945 CVE-2016-3990 CVE-2016-3991 CVE-2016-5321
  CVE-2016-5323 CVE-2016-5652 CVE-2016-5875 CVE-2016-9273 CVE-2016-9297
  CVE-2016-9448 CVE-2016-9453
- bmp2tiff, gif2tiff, ras2tiff, sgi2tiff, sgisv, ycbcr tools removed from distribution
- rgb2ycbcr, thumbnail tools no longer installed

* Sat Sep 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 49122e5
- updated to 4.0.6

* Sat Sep 05 2015 Jakub Bogusz <qboosh@pld-linux.org> d9b9ad1
- updated to 4.0.5

* Tue Jun 23 2015 Jakub Bogusz <qboosh@pld-linux.org> cf6f27b
- updated to 4.0.4
- removed obsolete CVE-* patches

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0041ac9
- x32 rebuild
- release 5 (by relup.sh)

* Tue Aug 20 2013 Kacper Kornet <draenog@pld-linux.org> 24c5982
- upstream fixes for CVE-2013-4231, CVE-2013-4232

* Mon May 20 2013 Kacper Kornet <draenog@pld-linux.org> c1d2c9e
- fixes for CVE-2012-4564, CVE-2013-1960, CVE-2013-1961 and improved fix
  for CVE-2012-4447

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 4850764
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Wed Sep 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 47ad27f
- updated to 4.0.3 (fixes CVE-2012-3401)

* Wed Jun 27 2012 hawk <hawk@pld-linux.org> 3471672
- release 3

